/**
 * @param { import("knex").Knex } knex
 * @returns { Promise<void> }
 */
exports.up = function(knex) {
  return knex.schema
    .createTable('craftingStationCooldowns', table => {
      table.string('station').notNullable();
      table.string('user').notNullable();
      table.timestamp('usedAt').notNullable();
    });
};

/**
 * @param { import("knex").Knex } knex
 * @returns { Promise<void> }
 */
exports.down = function(knex) {
  return knex.schema
    .dropTable('craftingStationCooldowns');
};
