/**
 * @param { import("knex").Knex } knex
 * @returns { Promise<void> }
 */
exports.up = function(knex) {
  return knex.schema
    .createTable('itemBehaviors', table => {
      table.integer('item').notNullable();
      table.string('behavior').notNullable();
      table.float('value');
    })
    .alterTable('customItems', table => {
      table.dropColumn('behavior');
      table.dropColumn('behaviorValue');
    });
};

/**
 * @param { import("knex").Knex } knex
 * @returns { Promise<void> }
 */
// eslint-disable-next-line @typescript-eslint/no-unused-vars
exports.down = function(knex) {
  // no
  throw 'Not implemented';
};
