export const COLOR_ROLE_SEPERATOR = '997893394850381834'; // put color roles below this role
export const PRONOUN_ROLE_SEPERATOR = '997893842961440779'; // put pronoun roles below this role

export const pronouns = new Set([
  'he/him',
  'she/her',
  'they/them',
  'it/its',
  'fae/faer',
  'no pronouns',
  'any pronouns',
  'was/were',
  'will/would',
]);

export function isColorRole(name: string) {
  return name.startsWith('#') && name.length === 7;
}

export function isPronounRole(name: string) {
  return pronouns.has(name);
}